#
# spec file for package perl-Perl-Critic-Freenode
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Perl-Critic-Freenode
Version:        0.026
Release:        lp150.1.1
%define cpan_name Perl-Critic-Freenode
Summary:        Perl::Critic policies inspired by #perl on
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Perl-Critic-Freenode/
Source0:        https://cpan.metacpan.org/authors/id/D/DB/DBOOK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(Path::Tiny) >= 0.101
BuildRequires:  perl(Perl::Critic) >= 1.126
BuildRequires:  perl(Perl::Critic::Policy::Objects::ProhibitIndirectSyntax) >= 1.126
BuildRequires:  perl(Perl::Critic::Policy::Subroutines::ProhibitAmpersandSigils) >= 1.126
BuildRequires:  perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitArrayAssignAref) >= 90
BuildRequires:  perl(Perl::Critic::Policy::Variables::ProhibitConditionalDeclarations) >= 1.126
BuildRequires:  perl(parent)
BuildRequires:  perl(version)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Path::Tiny) >= 0.101
Requires:       perl(Perl::Critic) >= 1.126
Requires:       perl(Perl::Critic::Policy::Objects::ProhibitIndirectSyntax) >= 1.126
Requires:       perl(Perl::Critic::Policy::Subroutines::ProhibitAmpersandSigils) >= 1.126
Requires:       perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitArrayAssignAref) >= 90
Requires:       perl(Perl::Critic::Policy::Variables::ProhibitConditionalDeclarations) >= 1.126
Requires:       perl(parent)
Requires:       perl(version)
%{perl_requires}

%description
A set of Perl::Critic policies to enforce the practices generally
recommended by the denizens of #perl on at https://freenode.net/. Because
this policy "theme" is designed to be used with zero configuration on the
command line, some duplication will occur if it is used in combination with
core Perl::Critic policies.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.md README
%license LICENSE

%changelog
* Sat Feb 17 2018 coolo@suse.com
- updated to 0.026
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.026     2018-02-16 20:50:14 EST
  - Update Prototypes policy to recognize more ways of activating the signatures feature
* Mon Feb 12 2018 coolo@suse.com
- updated to 0.025
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.025     2018-02-11 01:31:58 EST
  - Fix DeprecatedFeatures to recognize correctly-parsed postderef in PPI 1.237+
  - Avoid warning from running PackageMatchesFilename policy on a document without a filename (willt #29)
  - Fix another false positive in DollarAB policy
* Mon Oct  9 2017 coolo@suse.com
- updated to 0.024
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.024     2017-08-16 22:39:53 EDT
  - Make PackageMatchesFilename more robust against infinite loops
  0.023     2017-08-16 22:22:40 EDT
  - Fix issue where PackageMatchesFilename policy would loop infinitely
  0.022     2017-08-16 22:17:38 EDT
  - Also consider -W a violation of WarningsSwitch policy
  - Fix false positive in DollarAB policy where $a or $b is within another block
  - Add PackageMatchesFilename policy
* Fri Jun  9 2017 coolo@suse.com
- updated to 0.021
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.021     2017-06-03 19:49:16 EDT
  - Be more lenient when trying to detect postderef for DeprecatedFeatures autoderef violations
* Tue May 16 2017 coolo@suse.com
- updated to 0.020
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.020     2017-05-15 20:45:02 EDT
  - Updates to documentation for DeprecatedFeatures and DiscouragedModules policies
  - Add require ::Foo::Bar to DeprecatedFeatures policy
  - Remove qr//xx from DeprecatedFeatures policy as this is now a valid regex modifier in 5.26.
* Wed Feb 15 2017 coolo@suse.com
- initial package 0.019
  * created by cpanspec 1.78.08
